> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# This endpoint returns the status of order.

> This endpoint returns the status of order.



## OpenAPI

````yaml /dln-details/swagger/create-tx.json get /v1.0/dln/tx/{hash}/order-ids
openapi: 3.0.0
info:
  title: deBridge Liquidity Network (DLN) API
  description: >-
    A turnkey solution for a high-performance cross-chain trading<br><br><a
    href="https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/interacting-with-the-api/quick-start-guide">Quick
    Start Guide</a>
  version: 1.0.0
  contact: {}
  termsOfService: https://app.debridge.finance/assets/files/DLN-TermsOfService.pdf
servers:
  - url: https://dln.debridge.finance
security: []
tags: []
externalDocs:
  description: DLN API documentation
  url: >-
    https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/introduction
paths:
  /v1.0/dln/tx/{hash}/order-ids:
    get:
      tags:
        - DLN
      summary: This endpoint returns the status of order.
      description: This endpoint returns the status of order.
      operationId: DlnOrderControllerV10_getOrderIdsByTx
      parameters:
        - name: hash
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DlnOrderidsByTxResponse'
        '500':
          description: >
            The server has encountered a situation it does not know how to
            handle. Possible error ids: 
              
                    - INTERNAL_SERVER_ERROR
              
              
                    - INTERNAL_SDK_ERROR
              
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    DlnOrderidsByTxResponse:
      type: object
      properties:
        orderIds:
          type: array
          items:
            type: string
      required:
        - orderIds
    InternalServerErrorResponse:
      type: object
      properties:
        errorCode:
          type: integer
        errorId:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
            - INTERNAL_SDK_ERROR
        errorMessage:
          type: string
        errorPayload:
          type: object
      required:
        - errorCode
        - errorId
        - errorMessage
        - errorPayload

````